//! @file Limiter.cc
//! @brief リミッタ
//! 任意の数値で入力を制限して出力
//! @date 2017/06/09
//! @author Yuki YOKOKURA
//
// Copyright (C) 2011-2017 Yuki YOKOKURA
// This program is free software;
// you can redistribute it and/or modify it under the terms of the FreeBSD License.
// For details, see the License.txt file.

#include "Limiter.hh"

//! @brief リミッタ
//! @param[in] 入力信号
//! @param[in] 制限値
//! @return 制限された出力信号
double ARCS::Limiter(const double input, const double limit){
	double ret = input;
	if(limit <  input) ret =  limit;		// 任意の数値で入力を制限して出力
	if(input < -limit) ret = -limit;
	return ret;
}


