//! @file LinuxCommander.cc
//! @brief Linuxコマンダー
//!
//! 任意のLinuxシェルコマンドを実行するクラス
//!
//! @date 2019/07/23
//! @author Yuki YOKOKURA
//
// Copyright (C) 2011-2019 Yuki YOKOKURA
// This program is free software;
// you can redistribute it and/or modify it under the terms of the FreeBSD License.
// For details, see the License.txt file.

#include "LinuxCommander.hh"
#include <cassert>
#include <stdio.h>

// ARCS組込み用マクロ
#ifdef IMPL_IN_ARCS
	// ARCSに組み込まれる場合
	#include "ARCSassert.hh"
#else
	// ARCSに組み込まれない場合
	#define arcs_assert(a) (assert(a))
#endif

using namespace ARCS;

//! @brief Linuxコマンドを実行する関数
//! @param[in]	CommandLine	Linuxコマンド
void LinuxCommander::Execute(std::string CommandLine){
	FILE* fp = popen(CommandLine.c_str(), "w");
	arcs_assert(fp != nullptr);
	pclose(fp);
}

